/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AswMultiSelectDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswMultiSelectDialog>;
    data: any;
    constants: any;
    aswEditMultiselectForm: FormGroup;
    status: boolean;
    icons: any;
    control: any;
    labelType: string;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswMultiSelectDialog>, data: any);
    ngOnInit(): void;
    get options(): FormArray;
    createOption(): FormGroup;
    addNewOption(): void;
    onNoClick(): void;
    removeOption(index: number): void;
    onSubmit(): void;
    setValue(control: any): void;
    onLabelTypeChange(item: any): void;
    onStatusChange(event: any): void;
    onKey(event: any, index: number): void;
    getApiData(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswMultiSelectDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswMultiSelectDialog, "asw-multi-select-dialog", never, {}, {}, never, never, false, never>;
}
